Subject: A net device refcnt leak problem

From: Yang Yingliang <[email-masked]>
Date: Fri, 19 Feb 2016 13:17:59 +0800

Hi,

I got a tap device refcnt leak message when I was detaching the device
and it's deadloop for waiting the usage count decrease to 0.

The log is:
unregister_netdevice: waiting for pae_tap0 to become free. Usage count = 1

Unfortunately, it happened only once unit now, I cannot reproduce this.
My kernel version is 3.10 LTS.

The attachment is value of struct net_device, tun_struct and
tun_file while the leak is occurred.

Does anyone have any thoughts or if there is a patch could fix this ?

Thanks,
Yang